Skip to main content
GET
/
v1
/
my
/
templates
List all templates
curl --request GET \
  --url https://api.nitrosend.com/v1/my/templates \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "name": "<string>",
    "subject": "<string>",
    "preheader": "<string>",
    "flow_id": 123,
    "section_count": 123,
    "section_types": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

API key (nskey_live_...) or JWT token. API key is checked first; if not found, falls back to Devise JWT authentication.

Response

200 - application/json

Template summaries

id
integer
name
string | null
subject
string | null
preheader
string | null
flow_id
integer | null
section_count
integer
section_types
string[]
created_at
string<date-time>
updated_at
string<date-time>